﻿:root {
	--nav-width: 270px;
	--venuecalendar-settings-width: 350px;
	--venuecalendar-adjustment-width: 10px;
	--venuecalendar-settings-grid-adjust: 274px;
	--eventcalendar-settings-width: 350px;
	--eventcalendar-adjustment-width: 10px;
	--eventcalendar-settings-grid-adjust: 172px;
	--lodgingcalendar-settings-width: 350px;
	--lodgingcalendar-adjustment-width: 10px;
	--lodgingcalendar-settings-grid-adjust: 272px;
	--eventitinerarycalendar-settings-width: 350px;
	--eventitinerarycalendar-adjustment-width: 10px;
	--eventitinerarycalendar-settings-grid-adjust: 356px;
	--taskcalendar-settings-width: 350px;
	--taskcalendar-adjustment-width: 10px;
	--taskcalendar-settings-grid-adjust: 176px;
}

.dxbl-sm {
	--venuecalendar-settings-grid-adjust: 207px;
	--eventcalendar-settings-grid-adjust: 129px;
	--lodgingcalendar-settings-grid-adjust: 204px;
	--eventitinerarycalendar-settings-grid-adjust: 305px;
	--taskcalendar-settings-grid-adjust: 130px;
}

.header-logo {
	background-image: url(../images/Logo.png);
}

.eventheader-layoutgroup {
	width: 20%;
}

.loading-items-center > .bg-primary {
	background-color: #07e567 !important;
}

.loading-items-center > .border-primary {
	border-color: #1155f2 !important;
}

.xaf-loading-content > .spinner-border {
	color: #07e567 !important;
}

/* Calendar main panel */
.venuecalendar-mainpanel {
	min-width: 0;
	max-width: calc(100vw - var(--nav-width) - var(--venuecalendar-adjustment-width) - var(--venuecalendar-settings-width));
	flex: 1 1 auto;
}

.eventcalendar-mainpanel {
	min-width: 0;
	max-width: calc(100vw - var(--nav-width) - var(--eventcalendar-adjustment-width) - var(--eventcalendar-settings-width));
	flex: 1 1 auto;
}

.lodgingcalendar-mainpanel {
	min-width: 0;
	max-width: calc(100vw - var(--nav-width) - var(--lodgingcalendar-adjustment-width) - var(--lodgingcalendar-settings-width));
	flex: 1 1 auto;
}

.eventitinerarycalendar-mainpanel {
	min-width: 0;
	max-width: calc(100vw - var(--nav-width) - var(--itinerarycalendar-adjustment-width) - var(--itinerarycalendar-settings-width));
	flex: 1 1 auto;
}

.taskcalendar-mainpanel {
	min-width: 0;
	max-width: calc(100vw - var(--nav-width) - var(--taskcalendar-adjustment-width) - var(--taskcalendar-settings-width));
	flex: 1 1 auto;
}

/* Calendar side panel */
.venuecalendar-sidepanel {
	max-width: var(--venuecalendar-settings-width);
	overflow: hidden;
}

.eventcalendar-sidepanel {
	max-width: var(--eventcalendar-settings-width);
	overflow: hidden;
}

.lodgingcalendar-sidepanel {
	max-width: var(--lodgingcalendar-settings-width);
	overflow: hidden;
}

.eventitinerarycalendar-sidepanel {
	max-width: var(--itinerarycalendar-settings-width);
	overflow: hidden;
}

.taskcalendar-sidepanel {
	max-width: var(--taskcalendar-settings-width);
	overflow: hidden;
}

/* Calendar settings grids */
.venuecalendar-settings-grid {
	height: calc(var(--calendar-height) - var(--venuecalendar-settings-grid-adjust));
	min-height: 100px;
}

.eventcalendar-settings-grid {
	height: calc(var(--calendar-height) - var(--eventcalendar-settings-grid-adjust));
	min-height: 100px;
}

.lodgingcalendar-settings-grid {
	height: calc(var(--calendar-height) - var(--lodgingcalendar-settings-grid-adjust));
	min-height: 100px;
}

.eventitinerarycalendar-settings-grid-locations {
	height: 200px;
	min-height: 100px;
}

.eventitinerarycalendar-settings-grid {
	height: calc(var(--calendar-height) - var(--eventitinerarycalendar-settings-grid-adjust));
	min-height: 100px;
}

.taskcalendar-settings-grid {
	height: calc(var(--calendar-height) - var(--taskcalendar-settings-grid-adjust));
	min-height: 100px;
}